com.impinj.stp

## Class StpApi.TagMetrics.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.TagMetrics.Builder>
      - - com.impinj.stp.StpApi.TagMetrics.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.TagMetricsOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.TagMetrics

      public static final class StpApi.TagMetrics.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.TagMetrics.Builder>
      implements StpApi.TagMetricsOrBuilder

  Protobuf type `Impinj.STP.TagMetrics`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.TagMetrics` | `build()`
    `StpApi.TagMetrics` | `buildPartial()`
    `StpApi.TagMetrics.Builder` | `clear()`
    `StpApi.TagMetrics.Builder` | `clearCartonContentsMetrics()`
    `StpApi.TagMetrics.Builder` | `clearEncodeMetrics()`
    `StpApi.TagMetrics.Builder` | `clearInventoryMetrics()`
    `StpApi.TagMetrics.Builder` | `clearTagChip()`
    `StpApi.TagMetrics.Builder` | `clearVerifyBasicMetrics()`
    `StpApi.TagMetrics.Builder` | `clearVerifyDataMetrics()`
    `StpApi.TagMetrics.Builder` | `clone()`
    `StpApi.TagModeMetrics` | `getCartonContentsMetrics()`
    `StpApi.TagModeMetrics.Builder` | `getCartonContentsMetricsBuilder()`
    `StpApi.TagModeMetricsOrBuilder` | `getCartonContentsMetricsOrBuilder()`
    `StpApi.TagMetrics` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.TagModeMetrics` | `getEncodeMetrics()`
    `StpApi.TagModeMetrics.Builder` | `getEncodeMetricsBuilder()`
    `StpApi.TagModeMetricsOrBuilder` | `getEncodeMetricsOrBuilder()`
    `StpApi.TagModeMetrics` | `getInventoryMetrics()`
    `StpApi.TagModeMetrics.Builder` | `getInventoryMetricsBuilder()`
    `StpApi.TagModeMetricsOrBuilder` | `getInventoryMetricsOrBuilder()`
    `com.google.protobuf.ByteString` | `getTagChip()`
    `StpApi.TagModeMetrics` | `getVerifyBasicMetrics()`
    `StpApi.TagModeMetrics.Builder` | `getVerifyBasicMetricsBuilder()`
    `StpApi.TagModeMetricsOrBuilder` | `getVerifyBasicMetricsOrBuilder()`
    `StpApi.TagModeMetrics` | `getVerifyDataMetrics()`
    `StpApi.TagModeMetrics.Builder` | `getVerifyDataMetricsBuilder()`
    `StpApi.TagModeMetricsOrBuilder` | `getVerifyDataMetricsOrBuilder()`
    `boolean` | `hasCartonContentsMetrics()`
    `boolean` | `hasEncodeMetrics()`
    `boolean` | `hasInventoryMetrics()`
    `boolean` | `hasTagChip()`
    `boolean` | `hasVerifyBasicMetrics()`
    `boolean` | `hasVerifyDataMetrics()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.TagMetrics.Builder` | `mergeCartonContentsMetrics(StpApi.TagModeMetrics value)`
    `StpApi.TagMetrics.Builder` | `mergeEncodeMetrics(StpApi.TagModeMetrics value)`
    `StpApi.TagMetrics.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.TagMetrics.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.TagMetrics.Builder` | `mergeFrom(StpApi.TagMetrics other)`
    `StpApi.TagMetrics.Builder` | `mergeInventoryMetrics(StpApi.TagModeMetrics value)`
    `StpApi.TagMetrics.Builder` | `mergeVerifyBasicMetrics(StpApi.TagModeMetrics value)`
    `StpApi.TagMetrics.Builder` | `mergeVerifyDataMetrics(StpApi.TagModeMetrics value)`
    `StpApi.TagMetrics.Builder` | `setCartonContentsMetrics(StpApi.TagModeMetrics.Builder builderForValue)`
    `StpApi.TagMetrics.Builder` | `setCartonContentsMetrics(StpApi.TagModeMetrics value)`
    `StpApi.TagMetrics.Builder` | `setEncodeMetrics(StpApi.TagModeMetrics.Builder builderForValue)`
    `StpApi.TagMetrics.Builder` | `setEncodeMetrics(StpApi.TagModeMetrics value)`
    `StpApi.TagMetrics.Builder` | `setInventoryMetrics(StpApi.TagModeMetrics.Builder builderForValue)`
    `StpApi.TagMetrics.Builder` | `setInventoryMetrics(StpApi.TagModeMetrics value)`
    `StpApi.TagMetrics.Builder` | `setTagChip(com.google.protobuf.ByteString value)`
    `StpApi.TagMetrics.Builder` | `setVerifyBasicMetrics(StpApi.TagModeMetrics.Builder builderForValue)`
    `StpApi.TagMetrics.Builder` | `setVerifyBasicMetrics(StpApi.TagModeMetrics value)`
    `StpApi.TagMetrics.Builder` | `setVerifyDataMetrics(StpApi.TagModeMetrics.Builder builderForValue)`
    `StpApi.TagMetrics.Builder` | `setVerifyDataMetrics(StpApi.TagModeMetrics value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagMetrics.Builder>`

    - #### clear

          public StpApi.TagMetrics.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagMetrics.Builder>`

    - #### clone

          public StpApi.TagMetrics.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagMetrics.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagMetrics.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.TagMetrics getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.TagMetrics build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.TagMetrics buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.TagMetrics.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TagMetrics.Builder>`

    - #### mergeFrom

          public StpApi.TagMetrics.Builder mergeFrom(StpApi.TagMetrics other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.TagMetrics.Builder>`

    - #### mergeFrom

          public StpApi.TagMetrics.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                              throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.TagMetrics.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasTagChip

          public boolean hasTagChip()

      Specified by:
        `hasTagChip` in interface `StpApi.TagMetricsOrBuilder`

    - #### getTagChip

          public com.google.protobuf.ByteString getTagChip()

      Specified by:
        `getTagChip` in interface `StpApi.TagMetricsOrBuilder`

    - #### setTagChip

          public StpApi.TagMetrics.Builder setTagChip(com.google.protobuf.ByteString value)

    - #### clearTagChip

          public StpApi.TagMetrics.Builder clearTagChip()

    - #### hasVerifyBasicMetrics

          public boolean hasVerifyBasicMetrics()

      Specified by:
        `hasVerifyBasicMetrics` in interface `StpApi.TagMetricsOrBuilder`

    - #### getVerifyBasicMetrics

          public StpApi.TagModeMetrics getVerifyBasicMetrics()

      Specified by:
        `getVerifyBasicMetrics` in interface `StpApi.TagMetricsOrBuilder`

    - #### setVerifyBasicMetrics

          public StpApi.TagMetrics.Builder setVerifyBasicMetrics(StpApi.TagModeMetrics value)

    - #### setVerifyBasicMetrics

          public StpApi.TagMetrics.Builder setVerifyBasicMetrics(StpApi.TagModeMetrics.Builder builderForValue)

    - #### mergeVerifyBasicMetrics

          public StpApi.TagMetrics.Builder mergeVerifyBasicMetrics(StpApi.TagModeMetrics value)

    - #### clearVerifyBasicMetrics

          public StpApi.TagMetrics.Builder clearVerifyBasicMetrics()

    - #### getVerifyBasicMetricsBuilder

          public StpApi.TagModeMetrics.Builder getVerifyBasicMetricsBuilder()

    - #### getVerifyBasicMetricsOrBuilder

          public StpApi.TagModeMetricsOrBuilder getVerifyBasicMetricsOrBuilder()

      Specified by:
        `getVerifyBasicMetricsOrBuilder` in interface `StpApi.TagMetricsOrBuilder`

    - #### hasVerifyDataMetrics

          public boolean hasVerifyDataMetrics()

      Specified by:
        `hasVerifyDataMetrics` in interface `StpApi.TagMetricsOrBuilder`

    - #### getVerifyDataMetrics

          public StpApi.TagModeMetrics getVerifyDataMetrics()

      Specified by:
        `getVerifyDataMetrics` in interface `StpApi.TagMetricsOrBuilder`

    - #### setVerifyDataMetrics

          public StpApi.TagMetrics.Builder setVerifyDataMetrics(StpApi.TagModeMetrics value)

    - #### setVerifyDataMetrics

          public StpApi.TagMetrics.Builder setVerifyDataMetrics(StpApi.TagModeMetrics.Builder builderForValue)

    - #### mergeVerifyDataMetrics

          public StpApi.TagMetrics.Builder mergeVerifyDataMetrics(StpApi.TagModeMetrics value)

    - #### clearVerifyDataMetrics

          public StpApi.TagMetrics.Builder clearVerifyDataMetrics()

    - #### getVerifyDataMetricsBuilder

          public StpApi.TagModeMetrics.Builder getVerifyDataMetricsBuilder()

    - #### getVerifyDataMetricsOrBuilder

          public StpApi.TagModeMetricsOrBuilder getVerifyDataMetricsOrBuilder()

      Specified by:
        `getVerifyDataMetricsOrBuilder` in interface `StpApi.TagMetricsOrBuilder`

    - #### hasEncodeMetrics

          public boolean hasEncodeMetrics()

      Specified by:
        `hasEncodeMetrics` in interface `StpApi.TagMetricsOrBuilder`

    - #### getEncodeMetrics

          public StpApi.TagModeMetrics getEncodeMetrics()

      Specified by:
        `getEncodeMetrics` in interface `StpApi.TagMetricsOrBuilder`

    - #### setEncodeMetrics

          public StpApi.TagMetrics.Builder setEncodeMetrics(StpApi.TagModeMetrics value)

    - #### setEncodeMetrics

          public StpApi.TagMetrics.Builder setEncodeMetrics(StpApi.TagModeMetrics.Builder builderForValue)

    - #### mergeEncodeMetrics

          public StpApi.TagMetrics.Builder mergeEncodeMetrics(StpApi.TagModeMetrics value)

    - #### clearEncodeMetrics

          public StpApi.TagMetrics.Builder clearEncodeMetrics()

    - #### getEncodeMetricsBuilder

          public StpApi.TagModeMetrics.Builder getEncodeMetricsBuilder()

    - #### getEncodeMetricsOrBuilder

          public StpApi.TagModeMetricsOrBuilder getEncodeMetricsOrBuilder()

      Specified by:
        `getEncodeMetricsOrBuilder` in interface `StpApi.TagMetricsOrBuilder`

    - #### hasInventoryMetrics

          public boolean hasInventoryMetrics()

      Specified by:
        `hasInventoryMetrics` in interface `StpApi.TagMetricsOrBuilder`

    - #### getInventoryMetrics

          public StpApi.TagModeMetrics getInventoryMetrics()

      Specified by:
        `getInventoryMetrics` in interface `StpApi.TagMetricsOrBuilder`

    - #### setInventoryMetrics

          public StpApi.TagMetrics.Builder setInventoryMetrics(StpApi.TagModeMetrics value)

    - #### setInventoryMetrics

          public StpApi.TagMetrics.Builder setInventoryMetrics(StpApi.TagModeMetrics.Builder builderForValue)

    - #### mergeInventoryMetrics

          public StpApi.TagMetrics.Builder mergeInventoryMetrics(StpApi.TagModeMetrics value)

    - #### clearInventoryMetrics

          public StpApi.TagMetrics.Builder clearInventoryMetrics()

    - #### getInventoryMetricsBuilder

          public StpApi.TagModeMetrics.Builder getInventoryMetricsBuilder()

    - #### getInventoryMetricsOrBuilder

          public StpApi.TagModeMetricsOrBuilder getInventoryMetricsOrBuilder()

      Specified by:
        `getInventoryMetricsOrBuilder` in interface `StpApi.TagMetricsOrBuilder`

    - #### hasCartonContentsMetrics

          public boolean hasCartonContentsMetrics()

      Specified by:
        `hasCartonContentsMetrics` in interface `StpApi.TagMetricsOrBuilder`

    - #### getCartonContentsMetrics

          public StpApi.TagModeMetrics getCartonContentsMetrics()

      Specified by:
        `getCartonContentsMetrics` in interface `StpApi.TagMetricsOrBuilder`

    - #### setCartonContentsMetrics

          public StpApi.TagMetrics.Builder setCartonContentsMetrics(StpApi.TagModeMetrics value)

    - #### setCartonContentsMetrics

          public StpApi.TagMetrics.Builder setCartonContentsMetrics(StpApi.TagModeMetrics.Builder builderForValue)

    - #### mergeCartonContentsMetrics

          public StpApi.TagMetrics.Builder mergeCartonContentsMetrics(StpApi.TagModeMetrics value)

    - #### clearCartonContentsMetrics

          public StpApi.TagMetrics.Builder clearCartonContentsMetrics()

    - #### getCartonContentsMetricsBuilder

          public StpApi.TagModeMetrics.Builder getCartonContentsMetricsBuilder()

    - #### getCartonContentsMetricsOrBuilder

          public StpApi.TagModeMetricsOrBuilder getCartonContentsMetricsOrBuilder()

      Specified by:
        `getCartonContentsMetricsOrBuilder` in interface `StpApi.TagMetricsOrBuilder`